fn main() {
    // ANCHOR: here
    let x = Some(5);
    let y = 10;

    match x {
        Some(50) => println!("Otrzymano 50"),
        Some(y) => println!("Dopasowano, y = {y}"),
        _ => println!("Przypadek domyślny, x = {:?}", x),
    }

    println!("na końcu: x = {:?}, y = {y}", x);
    // ANCHOR_END: here
}
